## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1

%global crate cargo-deny

Name:           rust-cargo-deny
Version:        0.18.2
Release:        %autorelease
Summary:        Cargo plugin to help you manage large dependency graphs

# * cargo-deny: MIT OR Apache-2.0
# * spdx/license-list-data: CC0-1.0
License:        (MIT OR Apache-2.0) AND CC0-1.0
URL:            https://crates.io/crates/cargo-deny
Source:         %{crates_source}
# updated SPDX license list data; generated with:
# $ git clone https://github.com/spdx/license-list-data.git spdx-license-list -b v3.22 --depth 1
# $ askalono cache load-spdx spdx-license-list/json/details
# $ mv askalono-cache.bin.zstd askalono-cache-3.22.bin.zstd
Source:         askalono-cache-3.22.bin.zstd

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Cargo plugin to help you manage large dependency graphs.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (Apache-2.0 OR MIT) AND BSD-3-Clause
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR ISC OR MIT
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-2-Clause OR Apache-2.0 OR MIT
# BSD-3-Clause
# ISC
# ISC AND MIT AND OpenSSL
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# MIT OR Zlib OR Apache-2.0
# MPL-2.0
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        %{shrink:
    Apache-2.0 AND
    Apache-2.0 WITH LLVM-exception AND
    BSD-3-Clause AND
    CC0-1.0 AND
    ISC AND
    MIT AND
    MPL-2.0 AND
    OpenSSL AND
    Unicode-DFS-2016 AND
    (0BSD OR MIT OR Apache-2.0) AND
    (Apache-2.0 OR BSL-1.0) AND
    (Apache-2.0 OR ISC OR MIT) AND
    (Apache-2.0 OR MIT) AND
    (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND
    (BSD-2-Clause OR Apache-2.0 OR MIT) AND
    (MIT OR Apache-2.0 OR Zlib) AND
    (Unlicense OR MIT)
}
# LICENSE.dependencies contains a full license breakdown

Provides:       bundled(spdx-license-list-data) = 3.22

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE-APACHE
%license LICENSE-MIT
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc CODE_OF_CONDUCT.md
%doc CONTRIBUTING.md
%doc README.md
%doc SECURITY.md
%{_bindir}/cargo-deny

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CODE_OF_CONDUCT.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/SECURITY.md
%{crate_instdir}/
%exclude %{crate_instdir}/scripts/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+native-certs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+native-certs-devel %{_description}

This package contains library source intended for building other packages which
use the "native-certs" feature of the "%{crate}" crate.

%files       -n %{name}+native-certs-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# update bundled SPDX license list data
cp -pav %{SOURCE1} resources/spdx_cache.bin.zstd

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
# * skip tests that require files which are not included in published crates
# * skip a test that relies on an architecture-dependent hash
%{cargo_test -- -- --exact %{shrink:
    --skip advisories::cfg::test::deserializes_advisories_cfg
    --skip bans::cfg::test::deserializes_ban_cfg
    --skip cfg::package_spec::test::deserializes_package_id
    --skip licenses::cfg::test::deserializes_licenses_cfg
    --skip licenses::gather::test::normalizes_line_endings
    --skip sources::cfg::test::deserializes_sources_cfg
    --skip test::cli_snapshot
    --skip test::validate_crates_io_sparse_dir_name
}}
%endif

%changelog
## START: Generated by rpmautospec
* Tue Mar 25 2025 Fabio Valentini <decathorpe@gmail.com> - 0.18.2-1
- Update to version 0.18.2; Fixes RHBZ#2346772

* Thu Jan 23 2025 Fabio Valentini <decathorpe@gmail.com> - 0.16.4-1
- Update to version 0.16.4; Fixes RHBZ#2299927

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Dec 02 2024 Fabio Valentini <decathorpe@gmail.com> - 0.16.2-2
- Skip a test that relies on an architecture-dependent hash

* Mon Dec 02 2024 Fabio Valentini <decathorpe@gmail.com> - 0.16.2-1
- Update to version 0.16.2

* Sun Nov 10 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.14.24-5
- Add a missing term to the License expression

* Wed Oct 30 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.14.24-4
- Update to goblin 0.9

* Tue Sep 17 2024 blinxen <h-k-81@hotmail.com> - 0.14.24-3
- Update gix dependency to 0.66

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jul 07 2024 blinxen <h-k-81@hotmail.com> - 0.14.24-1
- Update to version 0.14.24; Fixes RHBZ#2276600

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 0.14.21-2
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Tue Apr 16 2024 Fabio Valentini <decathorpe@gmail.com> - 0.14.21-1
- Update to version 0.14.21; Fixes RHBZ#2259284

* Sat Apr 06 2024 blinxen <h-k-81@hotmail.com> - 0.14.3-4
- Update gix dependency to version 0.61

* Thu Mar 07 2024 Michel Lind <salimma@fedoraproject.org> - 0.14.3-3
- Rebuilt for nu-ansi-term 0.50.0

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Nov 24 2023 Fabio Valentini <decathorpe@gmail.com> - 0.14.3-1
- Initial import (#2248784)
## END: Generated by rpmautospec
